apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: tchallenge-service
  name: service-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: tchallenge-service
  template:
    metadata:
      labels:
        app: tchallenge-service
    spec:
      containers:
        - env:
            - name: TCHALLENGE_MONGODB_HOST
              value: db-service
            - name: TCHALLENGE_MONGODB_USERNAME
              value: tchallenge_user
            - name: TCHALLENGE_MONGODB_PASSWORD
              value: tchallenge_password
          image: esmirnova/tchallenge_service:latest
          imagePullPolicy: Always
          name: service-container
          ports:
            - containerPort: 4567
              protocol: TCP
      restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: service-service
spec:
  ports:
    - port: 4567
      protocol: TCP
      targetPort: 4567
  selector:
    app: tchallenge-service
